model_list:
  - model_name: "qwen-max"
    litellm_params:
      model: "qwen-max"
      api_key: "YOUR_QWEN_API_KEY" # Replace with your actual Qwen API Key
      api_base: "https://dashscope.aliyuncs.com"

  - model_name: "gemini-1.5-pro-latest"
    litellm_params:
      model: "gemini-1.5-pro-latest"
      api_key: "YOUR_GEMINI_API_KEY" # Replace with your actual Gemini API Key

  - model_name: "claude-3-opus-20240229"
    litellm_params:
      model: "claude-3-opus-20240229"
      api_key: "YOUR_CLAUDE_API_KEY" # Replace with your actual Claude API Key
      api_base: "https://api.anthropic.com"

routing:
  strategy: "latency"
  model_weights:
    qwen-max: 0.4
    gemini-1.5-pro-latest: 0.3
    claude-3-opus-20240229: 0.3